# JsDoc Reference - CeL.application.OS.Windows

Class Index | File Index

## Classes

- _global_
- CeL
- CeL.application.debug
- CeL.application.debug.log
- CeL.application.locale
- CeL.application.net
- CeL.application.net.Ajax
- CeL.application.OS.Windows
- CeL.application.OS.Windows.file
- CeL.application.OS.Windows.HTA
- CeL.application.OS.Windows.job
- CeL.application.OS.Windows.registry
- CeL.application.OS.Windows.WMI
- CeL.application.storage.file
- CeL.data
- CeL.data.check
- CeL.data.code.API
- CeL.data.code.compatibility
- CeL.data.code.reorganize
- CeL.data.CSV
- CeL.data.math
- CeL.data.math.Hamming
- CeL.data.math.polynomial
- CeL.data.math.quotient
- CeL.data.native
- CeL.data.XML
- CeL.env
- CeL.interact.DOM
- CeL.interact.form.address
- CeL.interact.form.select_input
- CeL.interact.integrate.map
- CeL.interact.integrate.SVG

# Class CeL.application.OS.Windows

web 的 functions
Defined in: Windows.origin.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CeL.application.OS.Windows() null module constructor

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | CeL.application.OS.Windows.JSA_to_VBA(array) 轉換JS Array成為VB的Safe Array.
<static> | CeL.application.OS.Windows.VBA_to_JSA(vba) 轉換 VB 的 Safe Array 成為 JS Array.
<static> | CeL.application.OS.Windows.VBNothing() 取得 VB 的 Nothing

Class Detail
CeL.application.OS.Windows()
null module constructor
Method Detail
<static> CeL.application.OS.Windows.JSA_to_VBA(array)
轉換JS Array成為VB的Safe Array. Safe Array To JS Array: plaese use new VBArray(). JScriptの配列は実際にはCSV文字列だったりする。VBScriptのvartypeに食わせると8(VT_STRING)が返ってくることからもわかる。

Parameters:
array

Returns:

See:
  http://www.microsoft.com/japan/msdn/japan/msdn/library/ja/script56/html/js56jsobjvbarray.asp

<static> CeL.application.OS.Windows.VBA_to_JSA(vba)
轉換 VB 的 Safe Array 成為 JS Array.

Parameters:
vba
  VB 的 array

Returns:

<static> CeL.application.OS.Windows.VBNothing()
取得 VB 的 Nothing

Returns:
  VB 的 Nothing

Documentation generated by JsDoc Toolkit 2.4.0 on Sat Aug 20 2011 15:07:29 GMT+0800 (CST)